Importing single environments not faster than importing all
Target version: 1.6.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1789
Description

| am building our new production environment based on Foreman 1.4, puppet 2.6 on a RHEL6 machine. Right now, there are 11
environments on the puppet machine (smart_proxy 1) Based on what we have now in our production (Foreman 1.1, puppet 3.0)
systems, | expect us to have about 40 environments.

On the old system, a "Import all environments" runs for about 8 (!!!) minutes. | was very happy, when | discovered the new possibility
to import only a specfific environment via the API, which could speed up our development turn around time significally.

The problem is, that importing a single environment takes as long as importing all environments:
Import the Environment Number 22 takes 1:22 ::
Started POST "/api/smart_proxies/l/environments/22/import_puppetclasses" for 10.x.x.x at 2014-07-3
1 10:18:33 +0200
Processing by Api::V2::EnvironmentsController#import_puppetclasses as JSON
Parameters: {"apiv"=>"v2", "smart_proxy_id"=>"1", "id"=>"22", "environment"=>{}}
Import all environments take 1:18 ::
Started POST "/api/smart_proxies/l/import_puppetclasses"”" for 10.x.x.x at 2014-07-31 10:20:20 +0200
Processing by Api::V2::SmartProxiesController#import_puppetclasses as JSON
Parameters: {"apiv"=>"v2", "id"=>"1", "smart_proxy"=>{}}

Shouldn't importing only one environment be significally faster than importing all environments?

regards,
florian

Associated revisions

Revision 4c59b8da - 09/30/2014 08:12 AM - Joseph Magen

fixes #6856 - API v2 - more efficient import puppetclasses for single environment

Revision ecbcb0b6 - 10/07/2014 08:23 AM - Joseph Magen

fixes #6856 - API v2 - more efficient import puppetclasses for single environment

(cherry picked from commit 4c59b8daccf3534fa89a31076b3e2cadae7fdcee)

History

#1 - 07/31/2014 04:11 PM - Florian Sachs

Just reread this report and noticed some incorrect versions:
Foreman Version is 1.5.1
Puppet is 3.6.1

#2 - 09/23/2014 03:22 AM - Joseph Magen
- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 09/23/2014 03:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1789 added
- Pull request deleted ()

#4 - 09/30/2014 09:02 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4c59b8daccf3534fa89a31076b3e2cadae7fdcee.

#5 - 10/02/2014 05:29 AM - Dominic Cleal

- translation missing: en.field_release set to 22
